### Hierarchy

- SymbolConstructor

### Callable

- __call(description?: string | number): symbol

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.symbol.d.ts:25

  Returns a new unique Symbol value.

  #### Parameters

  - ##### Optional description: string | number

    Description of the new Symbol object.

  #### Returns symbol

## Index

### Properties

- prototype

### Methods

- for
- keyFor

## Properties

### prototype

prototype: Symbol

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.symbol.d.ts:25

A reference to the prototype.

## Methods

### for

- for(key: string): symbol

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.symbol.d.ts:38

  Returns a Symbol object from the global symbol registry matching the given key if found. Otherwise, returns a new symbol with this key.

  #### Parameters

  - ##### key: string

    key to search for.

  #### Returns symbol

### keyFor

- keyFor(sym: symbol): string | undefined

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.symbol.d.ts:45

  Returns a key from the global symbol registry matching the given Symbol if found. Otherwise, returns a undefined.

  #### Parameters

  - ##### sym: symbol

    Symbol to find the key for.

  #### Returns string | undefined

Generated using TypeDoc